searchNodes=[{"ref":"GoogleApi.CloudTrace.V1.Api.Projects.html","title":"GoogleApi.CloudTrace.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.CloudTrace.V1.Api.Projects.html#cloudtrace_projects_patch_traces/4","title":"GoogleApi.CloudTrace.V1.Api.Projects.cloudtrace_projects_patch_traces/4","type":"function","doc":"Sends new traces to Stackdriver Trace or updates existing traces. If the ID of a trace that you send matches that of an existing trace, any fields in the existing trace and its spans are overwritten by the provided values, and any new fields provided are merged with the existing trace data. If the ID does not match, a new trace is created. Parameters connection (GoogleApi.CloudTrace.V1.Connection): Connection to server project_id (String.t): ID of the Cloud project where the trace data is stored. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Traces): Returns {:ok, %GoogleApi.CloudTrace.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudTrace.V1.Api.Projects.html#cloudtrace_projects_traces_get/5","title":"GoogleApi.CloudTrace.V1.Api.Projects.cloudtrace_projects_traces_get/5","type":"function","doc":"Gets a single trace by its ID. Parameters connection (GoogleApi.CloudTrace.V1.Connection): Connection to server project_id (String.t): ID of the Cloud project where the trace data is stored. trace_id (String.t): ID of the trace to return. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.CloudTrace.V1.Model.Trace{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudTrace.V1.Api.Projects.html#cloudtrace_projects_traces_list/4","title":"GoogleApi.CloudTrace.V1.Api.Projects.cloudtrace_projects_traces_list/4","type":"function","doc":"Returns of a list of traces that match the specified filter conditions. Parameters connection (GoogleApi.CloudTrace.V1.Connection): Connection to server project_id (String.t): ID of the Cloud project where the trace data is stored. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :endTime (DateTime.t): End of the time interval (inclusive) during which the trace data was collected from the application. :filter (String.t): An optional filter against labels for the request. By default, searches use prefix matching. To specify exact match, prepend a plus symbol (&#x60;+&#x60;) to the search term. Multiple terms are ANDed. Syntax: &#x60;root:NAME_PREFIX&#x60; or &#x60;NAME_PREFIX&#x60;: Return traces where any root span starts with &#x60;NAME_PREFIX&#x60;. &#x60;+root:NAME&#x60; or &#x60;+NAME&#x60;: Return traces where any root span&#39;s name is exactly &#x60;NAME&#x60;. &#x60;span:NAME_PREFIX&#x60;: Return traces where any span starts with &#x60;NAME_PREFIX&#x60;. &#x60;+span:NAME&#x60;: Return traces where any span&#39;s name is exactly &#x60;NAME&#x60;. &#x60;latency:DURATION&#x60;: Return traces whose overall latency is greater or equal to than &#x60;DURATION&#x60;. Accepted units are nanoseconds (&#x60;ns&#x60;), milliseconds (&#x60;ms&#x60;), and seconds (&#x60;s&#x60;). Default is &#x60;ms&#x60;. For example, &#x60;latency:24ms&#x60; returns traces whose overall latency is greater than or equal to 24 milliseconds. &#x60;label:LABEL_KEY&#x60;: Return all traces containing the specified label key (exact match, case-sensitive) regardless of the key:value pair&#39;s value (including empty values). &#x60;LABEL_KEY:VALUE_PREFIX&#x60;: Return all traces containing the specified label key (exact match, case-sensitive) whose value starts with &#x60;VALUE_PREFIX&#x60;. Both a key and a value must be specified. &#x60;+LABEL_KEY:VALUE&#x60;: Return all traces containing a key:value pair exactly matching the specified text. Both a key and a value must be specified. &#x60;method:VALUE&#x60;: Equivalent to &#x60;/http/method:VALUE&#x60;. &#x60;url:VALUE&#x60;: Equivalent to &#x60;/http/url:VALUE&#x60;. :orderBy (String.t): Field used to sort the returned traces. Optional. Can be one of the following: &#x60;trace_id&#x60; &#x60;name&#x60; (&#x60;name&#x60; field of root span in the trace) &#x60;duration&#x60; (difference between &#x60;end_time&#x60; and &#x60;start_time&#x60; fields of the root span) &#x60;start&#x60; (&#x60;start_time&#x60; field of the root span) Descending order can be specified by appending &#x60;desc&#x60; to the sort field (for example, &#x60;name desc&#x60;). Only one sort field is permitted. :pageSize (integer()): Maximum number of traces to return. If not specified or &lt;&#x3D; 0, the implementation selects a reasonable value. The implementation may return fewer traces than the requested page size. Optional. :pageToken (String.t): Token identifying the page of results to return. If provided, use the value of the &#x60;next_page_token&#x60; field from a previous request. Optional. :startTime (DateTime.t): Start of the time interval (inclusive) during which the trace data was collected from the application. :view (String.t): Type of data returned for traces in the list. Optional. Default is &#x60;MINIMAL&#x60;. Returns {:ok, %GoogleApi.CloudTrace.V1.Model.ListTracesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html","title":"GoogleApi.CloudTrace.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudTrace.V1."},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#delete/3","title":"GoogleApi.CloudTrace.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#delete!/3","title":"GoogleApi.CloudTrace.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#execute/2","title":"GoogleApi.CloudTrace.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#get/3","title":"GoogleApi.CloudTrace.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#get!/3","title":"GoogleApi.CloudTrace.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#head/3","title":"GoogleApi.CloudTrace.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#head!/3","title":"GoogleApi.CloudTrace.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#new/0","title":"GoogleApi.CloudTrace.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#new/1","title":"GoogleApi.CloudTrace.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#options/3","title":"GoogleApi.CloudTrace.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#options!/3","title":"GoogleApi.CloudTrace.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#patch/4","title":"GoogleApi.CloudTrace.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#patch!/4","title":"GoogleApi.CloudTrace.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#post/4","title":"GoogleApi.CloudTrace.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#post!/4","title":"GoogleApi.CloudTrace.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#put/4","title":"GoogleApi.CloudTrace.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#put!/4","title":"GoogleApi.CloudTrace.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#request/2","title":"GoogleApi.CloudTrace.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#request!/2","title":"GoogleApi.CloudTrace.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#trace/3","title":"GoogleApi.CloudTrace.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#trace!/3","title":"GoogleApi.CloudTrace.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V1.Connection.html#t:option/0","title":"GoogleApi.CloudTrace.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.Deserializer.html","title":"GoogleApi.CloudTrace.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.CloudTrace.V1.Model.Empty.html","title":"GoogleApi.CloudTrace.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.CloudTrace.V1.Model.Empty.html#decode/2","title":"GoogleApi.CloudTrace.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V1.Model.Empty.html#t:t/0","title":"GoogleApi.CloudTrace.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse.html","title":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse","type":"module","doc":"The response message for the &#x60;ListTraces&#x60; method. Attributes nextPageToken (String.t): If defined, indicates that there are more traces that match the request and that this value should be passed to the next request to continue retrieving additional traces. Defaults to: null. traces ([Trace]): List of trace records as specified by the view parameter. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse.html#decode/2","title":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse.html#t:t/0","title":"GoogleApi.CloudTrace.V1.Model.ListTracesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.Model.Trace.html","title":"GoogleApi.CloudTrace.V1.Model.Trace","type":"module","doc":"A trace describes how long it takes for an application to perform an operation. It consists of a set of spans, each of which represent a single timed event within the operation. Attributes projectId (String.t): Project ID of the Cloud project where the trace data is stored. Defaults to: null. spans ([TraceSpan]): Collection of spans in the trace. Defaults to: null. traceId (String.t): Globally unique identifier for the trace. This identifier is a 128-bit numeric value formatted as a 32-byte hex string. For example, &#x60;382d4f4c6b7bb2f4a972559d9085001d&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V1.Model.Trace.html#decode/2","title":"GoogleApi.CloudTrace.V1.Model.Trace.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V1.Model.Trace.html#t:t/0","title":"GoogleApi.CloudTrace.V1.Model.Trace.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.Model.TraceSpan.html","title":"GoogleApi.CloudTrace.V1.Model.TraceSpan","type":"module","doc":"A span represents a single timed event within a trace. Spans can be nested and form a trace tree. Often, a trace contains a root span that describes the end-to-end latency of an operation and, optionally, one or more subspans for its suboperations. Spans do not need to be contiguous. There may be gaps between spans in a trace. Attributes endTime (DateTime.t): End time of the span in nanoseconds from the UNIX epoch. Defaults to: null. kind (String.t): Distinguishes between spans generated in a particular context. For example, two spans with the same name may be distinguished using &#x60;RPC_CLIENT&#x60; and &#x60;RPC_SERVER&#x60; to identify queueing latency associated with the span. Defaults to: null. Enum - one of [SPAN_KIND_UNSPECIFIED, RPC_SERVER, RPC_CLIENT] labels (%{optional(String.t) &#x3D;&gt; String.t}): Collection of labels associated with the span. Label keys must be less than 128 bytes. Label values must be less than 16 kilobytes (10MB for &#x60;/stacktrace&#x60; values). Some predefined label keys exist, or you may create your own. When creating your own, we recommend the following formats: &#x60;/category/product/key&#x60; for agents of well-known products (e.g. &#x60;/db/mongodb/read_size&#x60;). &#x60;short_host/path/key&#x60; for domain-specific keys (e.g. &#x60;foo.com/myproduct/bar&#x60;) Predefined labels include: &#x60;/agent&#x60; &#x60;/component&#x60; &#x60;/error/message&#x60; &#x60;/error/name&#x60; &#x60;/http/client_city&#x60; &#x60;/http/client_country&#x60; &#x60;/http/client_protocol&#x60; &#x60;/http/client_region&#x60; &#x60;/http/host&#x60; &#x60;/http/method&#x60; &#x60;/http/path&#x60; &#x60;/http/redirected_url&#x60; &#x60;/http/request/size&#x60; &#x60;/http/response/size&#x60; &#x60;/http/route&#x60; &#x60;/http/status_code&#x60; &#x60;/http/url&#x60; &#x60;/http/user_agent&#x60; &#x60;/pid&#x60; &#x60;/stacktrace&#x60; * &#x60;/tid&#x60; Defaults to: null. name (String.t): Name of the span. Must be less than 128 bytes. The span name is sanitized and displayed in the Stackdriver Trace tool in the Google Cloud Platform Console. The name may be a method name or some other per-call site name. For the same executable and the same call point, a best practice is to use a consistent name, which makes it easier to correlate cross-trace spans. Defaults to: null. parentSpanId (String.t): ID of the parent span, if any. Optional. Defaults to: null. spanId (String.t): Identifier for the span. Must be a 64-bit integer other than 0 and unique within a trace. For example, &#x60;2205310701640571284&#x60;. Defaults to: null. startTime (DateTime.t): Start time of the span in nanoseconds from the UNIX epoch. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V1.Model.TraceSpan.html#decode/2","title":"GoogleApi.CloudTrace.V1.Model.TraceSpan.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V1.Model.TraceSpan.html#t:t/0","title":"GoogleApi.CloudTrace.V1.Model.TraceSpan.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.Model.Traces.html","title":"GoogleApi.CloudTrace.V1.Model.Traces","type":"module","doc":"List of new or updated traces. Attributes traces ([Trace]): List of traces. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V1.Model.Traces.html#decode/2","title":"GoogleApi.CloudTrace.V1.Model.Traces.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V1.Model.Traces.html#t:t/0","title":"GoogleApi.CloudTrace.V1.Model.Traces.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V1.RequestBuilder.html","title":"GoogleApi.CloudTrace.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."},{"ref":"GoogleApi.CloudTrace.V2.Api.Projects.html","title":"GoogleApi.CloudTrace.V2.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.CloudTrace.V2.Api.Projects.html#cloudtrace_projects_traces_batch_write/4","title":"GoogleApi.CloudTrace.V2.Api.Projects.cloudtrace_projects_traces_batch_write/4","type":"function","doc":"Sends new spans to new or existing traces. You cannot update existing spans. Parameters connection (GoogleApi.CloudTrace.V2.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. Required. The name of the project where the spans belong. The format is &#x60;projects/[PROJECT_ID]&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchWriteSpansRequest): Returns {:ok, %GoogleApi.CloudTrace.V2.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudTrace.V2.Api.Projects.html#cloudtrace_projects_traces_spans_create_span/6","title":"GoogleApi.CloudTrace.V2.Api.Projects.cloudtrace_projects_traces_spans_create_span/6","type":"function","doc":"Creates a new span. Parameters connection (GoogleApi.CloudTrace.V2.Connection): Connection to server projects_id (String.t): Part of &#x60;name&#x60;. The resource name of the span in the following format: projects/[PROJECT_ID]/traces/[TRACE_ID]/spans/SPAN_ID is a unique identifier for a trace within a project; it is a 32-character hexadecimal encoding of a 16-byte array. [SPAN_ID] is a unique identifier for a span within a trace; it is a 16-character hexadecimal encoding of an 8-byte array. traces_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. spans_id (String.t): Part of &#x60;name&#x60;. See documentation of &#x60;projectsId&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Span): Returns {:ok, %GoogleApi.CloudTrace.V2.Model.Span{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html","title":"GoogleApi.CloudTrace.V2.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudTrace.V2."},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#delete/3","title":"GoogleApi.CloudTrace.V2.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#delete!/3","title":"GoogleApi.CloudTrace.V2.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#execute/2","title":"GoogleApi.CloudTrace.V2.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#get/3","title":"GoogleApi.CloudTrace.V2.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#get!/3","title":"GoogleApi.CloudTrace.V2.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#head/3","title":"GoogleApi.CloudTrace.V2.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#head!/3","title":"GoogleApi.CloudTrace.V2.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#new/0","title":"GoogleApi.CloudTrace.V2.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#new/1","title":"GoogleApi.CloudTrace.V2.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#options/3","title":"GoogleApi.CloudTrace.V2.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#options!/3","title":"GoogleApi.CloudTrace.V2.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#patch/4","title":"GoogleApi.CloudTrace.V2.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#patch!/4","title":"GoogleApi.CloudTrace.V2.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#post/4","title":"GoogleApi.CloudTrace.V2.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#post!/4","title":"GoogleApi.CloudTrace.V2.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#put/4","title":"GoogleApi.CloudTrace.V2.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#put!/4","title":"GoogleApi.CloudTrace.V2.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#request/2","title":"GoogleApi.CloudTrace.V2.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#request!/2","title":"GoogleApi.CloudTrace.V2.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#trace/3","title":"GoogleApi.CloudTrace.V2.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#trace!/3","title":"GoogleApi.CloudTrace.V2.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudTrace.V2.Connection.html#t:option/0","title":"GoogleApi.CloudTrace.V2.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Deserializer.html","title":"GoogleApi.CloudTrace.V2.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.CloudTrace.V2.Model.Annotation.html","title":"GoogleApi.CloudTrace.V2.Model.Annotation","type":"module","doc":"Text annotation with a set of attributes. Attributes attributes (Attributes): A set of attributes on the annotation. You can have up to 4 attributes per Annotation. Defaults to: null. description (TruncatableString): A user-supplied message describing the event. The maximum length for the description is 256 bytes. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Annotation.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Annotation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Annotation.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Annotation.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.AttributeValue.html","title":"GoogleApi.CloudTrace.V2.Model.AttributeValue","type":"module","doc":"The allowed types for [VALUE] in a &#x60;[KEY]:[VALUE]&#x60; attribute. Attributes boolValue (boolean()): A Boolean value represented by &#x60;true&#x60; or &#x60;false&#x60;. Defaults to: null. intValue (String.t): A 64-bit signed integer. Defaults to: null. stringValue (TruncatableString): A string up to 256 bytes long. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.AttributeValue.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.AttributeValue.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.AttributeValue.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.AttributeValue.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Attributes.html","title":"GoogleApi.CloudTrace.V2.Model.Attributes","type":"module","doc":"A set of attributes, each in the format &#x60;[KEY]:[VALUE]&#x60;. Attributes attributeMap (%{optional(String.t) &#x3D;&gt; AttributeValue}): The set of attributes. Each attribute&#39;s key can be up to 128 bytes long. The value can be a string up to 256 bytes, a signed 64-bit integer, or the Boolean values &#x60;true&#x60; and &#x60;false&#x60;. For example: &quot;/instance_id&quot;: &quot;my-instance&quot; &quot;/http/user_agent&quot;: &quot;&quot; &quot;/http/request_bytes&quot;: 300 &quot;abc.com/myattribute&quot;: true Defaults to: null. droppedAttributesCount (integer()): The number of attributes that were discarded. Attributes can be discarded because their keys are too long or because there are too many attributes. If this value is 0 then all attributes are valid. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Attributes.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Attributes.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Attributes.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Attributes.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest.html","title":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest","type":"module","doc":"The request message for the &#x60;BatchWriteSpans&#x60; method. Attributes spans ([Span]): A list of new spans. The span names must not match existing spans, or the results are undefined. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.BatchWriteSpansRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Empty.html","title":"GoogleApi.CloudTrace.V2.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.CloudTrace.V2.Model.Empty.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Empty.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Link.html","title":"GoogleApi.CloudTrace.V2.Model.Link","type":"module","doc":"A pointer from the current span to another span in the same trace or in a different trace. For example, this can be used in batching operations, where a single batch handler processes multiple requests from different traces or when the handler receives a request from a different project. Attributes attributes (Attributes): A set of attributes on the link. You have have up to 32 attributes per link. Defaults to: null. spanId (String.t): The [SPAN_ID] for a span within a trace. Defaults to: null. traceId (String.t): The [TRACE_ID] for a trace within a project. Defaults to: null. type (String.t): The relationship of the current span relative to the linked span. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, CHILD_LINKED_SPAN, PARENT_LINKED_SPAN]"},{"ref":"GoogleApi.CloudTrace.V2.Model.Link.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Link.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Link.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Link.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Links.html","title":"GoogleApi.CloudTrace.V2.Model.Links","type":"module","doc":"A collection of links, which are references from this span to a span in the same or different trace. Attributes droppedLinksCount (integer()): The number of dropped links after the maximum size was enforced. If this value is 0, then no links were dropped. Defaults to: null. link ([Link]): A collection of links. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Links.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Links.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Links.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Links.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.MessageEvent.html","title":"GoogleApi.CloudTrace.V2.Model.MessageEvent","type":"module","doc":"An event describing a message sent/received between Spans. Attributes compressedSizeBytes (String.t): The number of compressed bytes sent or received. If missing assumed to be the same size as uncompressed. Defaults to: null. id (String.t): An identifier for the MessageEvent&#39;s message that can be used to match SENT and RECEIVED MessageEvents. It is recommended to be unique within a Span. Defaults to: null. type (String.t): Type of MessageEvent. Indicates whether the message was sent or received. Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, SENT, RECEIVED] uncompressedSizeBytes (String.t): The number of uncompressed bytes sent or received. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.MessageEvent.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.MessageEvent.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.MessageEvent.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.MessageEvent.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Module.html","title":"GoogleApi.CloudTrace.V2.Model.Module","type":"module","doc":"Binary module. Attributes buildId (TruncatableString): A unique identifier for the module, usually a hash of its contents (up to 128 bytes). Defaults to: null. module (TruncatableString): For example: main binary, kernel modules, and dynamic libraries such as libc.so, sharedlib.so (up to 256 bytes). Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Module.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Module.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Module.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Module.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.NetworkEvent.html","title":"GoogleApi.CloudTrace.V2.Model.NetworkEvent","type":"module","doc":"An event describing an RPC message sent or received on the network."},{"ref":"GoogleApi.CloudTrace.V2.Model.Span.html","title":"GoogleApi.CloudTrace.V2.Model.Span","type":"module","doc":"A span represents a single operation within a trace. Spans can be nested to form a trace tree. Often, a trace contains a root span that describes the end-to-end latency, and one or more subspans for its sub-operations. A trace can also contain multiple root spans, or none at all. Spans do not need to be contiguous&amp;mdash;there may be gaps or overlaps between spans in a trace. Attributes attributes (Attributes): A set of attributes on the span. You can have up to 32 attributes per span. Defaults to: null. childSpanCount (integer()): An optional number of child spans that were generated while this span was active. If set, allows implementation to detect missing child spans. Defaults to: null. displayName (TruncatableString): A description of the span&#39;s operation (up to 128 bytes). Stackdriver Trace displays the description in the Google Cloud Platform Console. For example, the display name can be a qualified method name or a file name and a line number where the operation is called. A best practice is to use the same display name within an application and at the same call point. This makes it easier to correlate spans in different traces. Defaults to: null. endTime (DateTime.t): The end time of the span. On the client side, this is the time kept by the local machine where the span execution ends. On the server side, this is the time when the server application handler stops running. Defaults to: null. links (Links): Links associated with the span. You can have up to 128 links per Span. Defaults to: null. name (String.t): The resource name of the span in the following format: projects/[PROJECT_ID]/traces/[TRACE_ID]/spans/SPAN_ID is a unique identifier for a trace within a project; it is a 32-character hexadecimal encoding of a 16-byte array. [SPAN_ID] is a unique identifier for a span within a trace; it is a 16-character hexadecimal encoding of an 8-byte array. Defaults to: null. parentSpanId (String.t): The [SPAN_ID] of this span&#39;s parent span. If this is a root span, then this field must be empty. Defaults to: null. sameProcessAsParentSpan (boolean()): (Optional) Set this parameter to indicate whether this span is in the same process as its parent. If you do not set this parameter, Stackdriver Trace is unable to take advantage of this helpful information. Defaults to: null. spanId (String.t): The [SPAN_ID] portion of the span&#39;s resource name. Defaults to: null. stackTrace (StackTrace): Stack trace captured at the start of the span. Defaults to: null. startTime (DateTime.t): The start time of the span. On the client side, this is the time kept by the local machine where the span execution starts. On the server side, this is the time when the server&#39;s application handler starts running. Defaults to: null. status (Status): An optional final status for this span. Defaults to: null. timeEvents (TimeEvents): A set of time events. You can have up to 32 annotations and 128 message events per span. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Span.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Span.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Span.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Span.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrame.html","title":"GoogleApi.CloudTrace.V2.Model.StackFrame","type":"module","doc":"Represents a single stack frame in a stack trace. Attributes columnNumber (String.t): The column number where the function call appears, if available. This is important in JavaScript because of its anonymous functions. Defaults to: null. fileName (TruncatableString): The name of the source file where the function call appears (up to 256 bytes). Defaults to: null. functionName (TruncatableString): The fully-qualified name that uniquely identifies the function or method that is active in this frame (up to 1024 bytes). Defaults to: null. lineNumber (String.t): The line number in &#x60;file_name&#x60; where the function call appears. Defaults to: null. loadModule (Module): The binary module from where the code was loaded. Defaults to: null. originalFunctionName (TruncatableString): An un-mangled function name, if &#x60;function_name&#x60; is mangled. The name can be fully-qualified (up to 1024 bytes). Defaults to: null. sourceVersion (TruncatableString): The version of the deployed source code (up to 128 bytes). Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrame.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.StackFrame.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrame.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.StackFrame.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrames.html","title":"GoogleApi.CloudTrace.V2.Model.StackFrames","type":"module","doc":"A collection of stack frames, which can be truncated. Attributes droppedFramesCount (integer()): The number of stack frames that were dropped because there were too many stack frames. If this value is 0, then no stack frames were dropped. Defaults to: null. frame ([StackFrame]): Stack frames in this call stack. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrames.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.StackFrames.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackFrames.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.StackFrames.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.StackTrace.html","title":"GoogleApi.CloudTrace.V2.Model.StackTrace","type":"module","doc":"A call stack appearing in a trace. Attributes stackFrames (StackFrames): Stack frames in this stack trace. A maximum of 128 frames are allowed. Defaults to: null. stackTraceHashId (String.t): The hash ID is used to conserve network bandwidth for duplicate stack traces within a single trace. Often multiple spans will have identical stack traces. The first occurrence of a stack trace should contain both the &#x60;stackFrame&#x60; content and a value in &#x60;stackTraceHashId&#x60;. Subsequent spans within the same request can refer to that stack trace by only setting &#x60;stackTraceHashId&#x60;. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackTrace.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.StackTrace.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.StackTrace.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.StackTrace.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Status.html","title":"GoogleApi.CloudTrace.V2.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.Status.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.Status.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvent.html","title":"GoogleApi.CloudTrace.V2.Model.TimeEvent","type":"module","doc":"A time-stamped annotation or message event in the Span. Attributes annotation (Annotation): Text annotation with a set of attributes. Defaults to: null. messageEvent (MessageEvent): An event describing a message sent/received between Spans. Defaults to: null. time (DateTime.t): The timestamp indicating the time the event occurred. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvent.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.TimeEvent.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvent.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.TimeEvent.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvents.html","title":"GoogleApi.CloudTrace.V2.Model.TimeEvents","type":"module","doc":"A collection of &#x60;TimeEvent&#x60;s. A &#x60;TimeEvent&#x60; is a time-stamped annotation on the span, consisting of either user-supplied key:value pairs, or details of a message sent/received between Spans. Attributes droppedAnnotationsCount (integer()): The number of dropped annotations in all the included time events. If the value is 0, then no annotations were dropped. Defaults to: null. droppedMessageEventsCount (integer()): The number of dropped message events in all the included time events. If the value is 0, then no message events were dropped. Defaults to: null. timeEvent ([TimeEvent]): A collection of &#x60;TimeEvent&#x60;s. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvents.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.TimeEvents.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.TimeEvents.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.TimeEvents.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.Model.Trace.html","title":"GoogleApi.CloudTrace.V2.Model.Trace","type":"module","doc":"A trace describes how long it takes for an application to perform some operations. It consists of a set of spans, each representing an operation and including time information and operation details."},{"ref":"GoogleApi.CloudTrace.V2.Model.TruncatableString.html","title":"GoogleApi.CloudTrace.V2.Model.TruncatableString","type":"module","doc":"Represents a string that might be shortened to a specified length. Attributes truncatedByteCount (integer()): The number of bytes removed from the original string. If this value is 0, then the string was not shortened. Defaults to: null. value (String.t): The shortened string. For example, if the original string is 500 bytes long and the limit of the string is 128 bytes, then &#x60;value&#x60; contains the first 128 bytes of the 500-byte string. Truncation always happens on a UTF8 character boundary. If there are multi-byte characters in the string, then the length of the shortened string might be less than the size limit. Defaults to: null."},{"ref":"GoogleApi.CloudTrace.V2.Model.TruncatableString.html#decode/2","title":"GoogleApi.CloudTrace.V2.Model.TruncatableString.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudTrace.V2.Model.TruncatableString.html#t:t/0","title":"GoogleApi.CloudTrace.V2.Model.TruncatableString.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudTrace.V2.RequestBuilder.html","title":"GoogleApi.CloudTrace.V2.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]